Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11TokenCert

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Cert
            |
            +--org.mozilla.jss.pkcs11.PK11TokenCert

All Implemented Interfaces:
  TokenCertificate, X509Certificate

public final class PK11TokenCert
extends PK11Cert
implements TokenCertificate

A user certificate that lives on a PKCS #11 token.

Nested Class Summary

Nested classes inherited from class org.mozilla.jss.pkcs11.PK11Cert
`PK11Cert.StringPrincipal`

Field Summary

Fields inherited from class org.mozilla.jss.pkcs11.PK11Cert
`certProxy`

Constructor Summary
`(package private)` | `PK11TokenCert(byte[] pointer)`

Method Summary
`CryptoToken` | `getOwningToken()` Returns the CryptoToken that owns this certificate.
`byte[]` | `getUniqueID()` Returns the unique ID of this key.

Methods inherited from class org.mozilla.jss.pkcs11.PK11Cert
`getEncoded, getIssuerDN, getIssuerDNString, getNickname, getPublicKey, getSerialNumber, getSerialNumberByteArray, getSubjectDN, getSubjectDNString, getTrust, getVersion, setTrust`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.crypto.X509Certificate
`getEncoded, getIssuerDN, getNickname, getPublicKey, getSerialNumber, getSubjectDN, getVersion`

Constructor Detail

### PK11TokenCert

    PK11TokenCert(byte[] pointer)

Method Detail

### getUniqueID

    public byte[] getUniqueID()

  Description copied from interface: `TokenCertificate`
  Returns the unique ID of this key. Unique IDs can be used to match certificates to keys.

  Specified by:
    `getUniqueID` in interface `TokenCertificate`
  Overrides:
    `getUniqueID` in class `PK11Cert`
  See Also:
    `PrivateKey.getUniqueID()`

### getOwningToken

    public CryptoToken getOwningToken()

  Description copied from interface: `TokenCertificate`
  Returns the CryptoToken that owns this certificate. Cryptographic operations with this key may only be performed on the token that owns the key.

  Specified by:
    `getOwningToken` in interface `TokenCertificate`
  Overrides:
    `getOwningToken` in class `PK11Cert`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD